pgpool-II 4.6.0 Documentation
Prev | Up |  | Next

# pgpool_adm_pcp_detach_node

## Name

pgpool_adm_pcp_detach_node -- a function to detach given node ID

## Synopsis

``pcp_detach_node returns record`(integer `node_id`, boolean `gracefully`, text `host`, integer `port`, text `username`, text `password`, out `node_detached boolean`);`

``pcp_detach_node returns record`(integer `node_id`, boolean `gracefully`, text `pcp_server`, out `node_detached boolean`);`

## Description

`pcp_detach_node` detaches a node from Pgpool-II.

## Arguments

`node_id`

  The index of backend node to detach.

`gracefully`

  If true, wait for all session of pgpool-II terminates.

`pcp_server`

  The foreign server name for pcp server.

`Other arguments`

  See pcp_common_options.

## Example

Here is an example output:

        test=# SELECT * FROM pcp_detach_node(node_id => 1, gracefully => 'false', host => 'localhost', port => 11001, username => 't-ishii', password => 't-ishii');
        node_detached
        ---------------
        t
        (1 row)

Prev | Home | Next
pgpool_adm_pcp_attach_node | Up | Appendixes